--- /usr/ports/devel/cvsd/work/cvsd-1.0.9/cvsd.init.in	Sat Jun 25 17:27:00 2005
+++ cvsd.sh	Tue Dec 13 09:26:01 2005
@@ -31,6 +31,7 @@
 [ -f "$CVSD_CFG" ] || exit 6
 
 PIDFILE=`sed -n 's/^ *PidFile *\([^ ]*\) *$/\1/p' < $CVSD_CFG`
+JAIL=`sed -n 's/^ *RootJail *\([^ ]*\) *$/\1/p' < $CVSD_CFG`
 
 # find the flavor of the echo command (stolen from configure)
 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
@@ -42,6 +43,10 @@
 
 case "$1" in
 start)
+  mount -t devfs devfs $JAIL/dev
+  devfs -m $JAIL/dev rule apply hide
+  devfs -m $JAIL/dev rule apply path null unhide
+  devfs -m $JAIL/dev rule apply path zero unhide
   echo $ECHO_N "Starting $DESC: cvsd$ECHO_C"
   if [ -n "$PIDFILE" ] && [ -f "$PIDFILE" ] && \
      kill -s 0 `cat $PIDFILE` > /dev/null 2>&1
@@ -72,6 +77,7 @@
     echo " unable to stop, no PidFile!"
     exit 1
   fi
+  umount $JAIL/dev
   ;;
 restart|force-reload)
   $0 stop
